Bug 1171334

Summary: Review Request: nodejs-pascal-case - Pascal case a string
Product: [Fedora] Fedora Reporter: Piotr Popieluch <piotr1212>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-pascal-case-1.0.0-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-27 00:55:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1123537, 1171221, 1171263, 1171302, 1171306, 1171309    
Bug Blocks: 1171350    

Description Piotr Popieluch 2014-12-05 22:13:00 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-pascal-case.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-pascal-case-1.0.0-1.fc21.src.rpm
Description: Pascal case a string
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-19 16:06:56 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-pascal-case.noarch: W: only-non-binary-in-usr-lib
nodejs-pascal-case.noarch: W: dangling-symlink /usr/lib/node_modules/pascal-case/node_modules/camel-case /usr/lib/node_modules/camel-case
nodejs-pascal-case.noarch: W: dangling-symlink /usr/lib/node_modules/pascal-case/node_modules/upper-case-first /usr/lib/node_modules/upper-case-first
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: a8ecac152ef28991334ed4ca6f48ec2a1894e0bc548b515e693293ab653e5d51
upstream tarball:  a8ecac152ef28991334ed4ca6f48ec2a1894e0bc548b515e693293ab653e5d51

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

APPROVED.

Comment 2 Piotr Popieluch 2014-12-19 16:19:47 UTC
New Package SCM Request
=======================
Package Name: nodejs-pascal-case
Short Description: Pascal case a string
Upstream URL: https://github.com/blakeembrey/pascal-case
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-19 16:32:48 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-19 21:32:33 UTC
nodejs-pascal-case-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-pascal-case-1.0.0-1.fc21

Comment 5 Fedora Update System 2014-12-19 21:33:12 UTC
nodejs-pascal-case-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-pascal-case-1.0.0-1.fc20

Comment 6 Fedora Update System 2014-12-21 06:35:37 UTC
nodejs-pascal-case-1.0.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-12-29 10:01:59 UTC
nodejs-pascal-case-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 8 Fedora Update System 2014-12-29 10:02:53 UTC
nodejs-pascal-case-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2015-01-28 09:06:20 UTC
nodejs-pascal-case-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-pascal-case-1.0.0-1.el7

Comment 10 Fedora Update System 2015-02-15 20:41:27 UTC
nodejs-pascal-case-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.